| QxOrm 1.2.6 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
qx::service::QxClientAsync Class Reference
QxService : QxOrm library services engine to provide easy and powerful way to create C++ application server (to transfer data over network)

qx::service::QxClientAsync : class helper to easily execute an asynchronous transaction using a multi-thread process More...

`#include <QxClientAsync.h>`

List of all members.

## Public Member Functions
| QxClientAsync ()
virtual | ~QxClientAsync ()
IxService_ptr | getService () const
void | setService (IxService_ptr service, const QString &method)
## Protected Member Functions
virtual void | run ()
## Protected Attributes
IxService_ptr | m_pService
| Service to execute in thread.
QString | m_sServiceMethod
| Service method to call.

## Detailed Description

qx::service::QxClientAsync : class helper to easily execute an asynchronous transaction using a multi-thread process

Click here to access to a tutorial to explain how to work with QxService module.

Definition at line 59 of file QxClientAsync.h.

## Constructor & Destructor Documentation

qx::service::QxClientAsync::QxClientAsync | ( |  | ) | `[inline]`

Definition at line 69 of file QxClientAsync.h.

virtual qx::service::QxClientAsync::~QxClientAsync | ( |  | ) | `[inline, virtual]`

Definition at line 70 of file QxClientAsync.h.

## Member Function Documentation

IxService_ptr qx::service::QxClientAsync::getService | ( |  | ) | const`[inline]`

Definition at line 72 of file QxClientAsync.h.

virtual void qx::service::QxClientAsync::run | ( |  | ) | `[inline, protected, virtual]`

Definition at line 77 of file QxClientAsync.h.

void qx::service::QxClientAsync::setService | ( | IxService_ptr | service,
|  | const QString & | method
| ) |  | `[inline]`

Definition at line 73 of file QxClientAsync.h.

## Member Data Documentation

IxService_ptr qx::service::QxClientAsync::m_pService`[protected]`

Service to execute in thread.

Definition at line 64 of file QxClientAsync.h.

QString qx::service::QxClientAsync::m_sServiceMethod`[protected]`

Service method to call.

Definition at line 65 of file QxClientAsync.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxService/QxClientAsync.h